<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CustomSearchRowBasic StructType
 * @subpackage Structs
 */
class CustomSearchRowBasic extends AbstractStructBase
{
    /**
     * The customizationRef
     * @var \StructType\CustomizationRef
     */
    public $customizationRef;
    /**
     * The searchRowBasic
     * @var \StructType\SearchRowBasic
     */
    public $searchRowBasic;
    /**
     * Constructor method for CustomSearchRowBasic
     * @uses CustomSearchRowBasic::setCustomizationRef()
     * @uses CustomSearchRowBasic::setSearchRowBasic()
     * @param \StructType\CustomizationRef $customizationRef
     * @param \StructType\SearchRowBasic $searchRowBasic
     */
    public function __construct(\StructType\CustomizationRef $customizationRef = null, \StructType\SearchRowBasic $searchRowBasic = null)
    {
        $this
            ->setCustomizationRef($customizationRef)
            ->setSearchRowBasic($searchRowBasic);
    }
    /**
     * Get customizationRef value
     * @return \StructType\CustomizationRef|null
     */
    public function getCustomizationRef()
    {
        return $this->customizationRef;
    }
    /**
     * Set customizationRef value
     * @param \StructType\CustomizationRef $customizationRef
     * @return \StructType\CustomSearchRowBasic
     */
    public function setCustomizationRef(\StructType\CustomizationRef $customizationRef = null)
    {
        $this->customizationRef = $customizationRef;
        return $this;
    }
    /**
     * Get searchRowBasic value
     * @return \StructType\SearchRowBasic|null
     */
    public function getSearchRowBasic()
    {
        return $this->searchRowBasic;
    }
    /**
     * Set searchRowBasic value
     * @param \StructType\SearchRowBasic $searchRowBasic
     * @return \StructType\CustomSearchRowBasic
     */
    public function setSearchRowBasic(\StructType\SearchRowBasic $searchRowBasic = null)
    {
        $this->searchRowBasic = $searchRowBasic;
        return $this;
    }
}
